Skip to main content
GET
/
api
/
v1
/
management
/
action-classes
/
{actionClassId}
Get Action Class by ID
curl --request GET \
  --url https://{baseurl}/api/v1/management/action-classes/{actionClassId} \
  --header 'x-Api-Key: <x-api-key>'
import requests

url = "https://{baseurl}/api/v1/management/action-classes/{actionClassId}"

headers = {"x-Api-Key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-Api-Key': '<x-api-key>'}};

fetch('https://{baseurl}/api/v1/management/action-classes/{actionClassId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2024-04-09T04:53:29.577Z",
    "description": "Gets fired when a new session is created",
    "id": "clurwouax000bzffxv3fqy6mt",
    "name": "New Session",
    "noCodeConfig": null,
    "type": "automatic",
    "updatedAt": "2024-04-09T04:53:29.577Z",
    "workspaceId": "clurwouax000azffxt7n5unn3"
  }
}
{
"code": "not_found",
"details": {
"resource_id": "clvc5m82c000z494jkvnw1gh0",
"resource_type": "Action Class"
},
"message": "Action Class not found"
}

Headers

x-Api-Key
string
required

Path Parameters

actionClassId
string
required

Response

OK

The response is of type object.